Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.todo
Class Status

    java.lang.Object
      |
      +--com.compoze.todo.Status

All Implemented Interfaces:
  java.io.Serializable

public class Status
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a to do 'status'. A status defines the overall status for a to do. The internationalizable string values are stored in the `todo_resources.properties` file (accessed through `ToDoProperties`) and referenced by their key and can be found in `todo.jar` at `com.compoze.todo.todo_resources.properties`.

See Also:
  Serialized Form

Field Summary
`static Status` | `CANCELLED` This value represents the 'cancelled' to do status.
`static Status` | `COMPLETED` This value represents the 'completed' to do status.
`static Status` | `IN_PROCESS` This value represents the 'in-process' to do status.
`static Status` | `NEEDS_ACTION` This value represents the 'needs action' to do status.
`static int` | `VALUE_CANCELLED`
`static int` | `VALUE_COMPLETED`
`static int` | `VALUE_IN_PROCESS`
`static int` | `VALUE_NEEDS_ACTION`

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Status` | `get(int iStoreValue)` Gets the to do status by its store value.
`static Status` | `get(java.lang.String sName)` Gets the to do status by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of to do status levels.
`java.lang.String` | `getName()` Gets the name of the to od status using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the to do status using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the to do status in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_NEEDS_ACTION

    public static final int VALUE_NEEDS_ACTION

### VALUE_IN_PROCESS

    public static final int VALUE_IN_PROCESS

### VALUE_COMPLETED

    public static final int VALUE_COMPLETED

### VALUE_CANCELLED

    public static final int VALUE_CANCELLED

### NEEDS_ACTION

    public static final Status NEEDS_ACTION

  This value represents the 'needs action' to do status.

### IN_PROCESS

    public static final Status IN_PROCESS

  This value represents the 'in-process' to do status.

### COMPLETED

    public static final Status COMPLETED

  This value represents the 'completed' to do status.

### CANCELLED

    public static final Status CANCELLED

  This value represents the 'cancelled' to do status.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the to od status using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the to do status using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the to do status in the storage system.
  Returns:
    the store value

### get

    public static Status get(int iStoreValue)

  Gets the to do status by its store value.
  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching to do status or `null` if not found

### get

    public static Status get(java.lang.String sName)

  Gets the to do status by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching to do status or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of to do status levels.
  Returns:
    the list of `Status` (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check (must be an `Status` or else a `ClassCastException` is thrown)
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.